unit uGestorInformesViewRegister;

interface

procedure RegisterViews;
procedure UnregisterViews;

implementation

uses
  uEditorRegistryUtils,
  uEditorInformeIVAClientesReport, uEditorInformeFacturasClienteReport, uEditorInformeFacturasClientePendientesReport,
  uEditorInformeRecibosClienteReport, uEditorInformeRecibosCliPendientesReport,
  uEditorInformePresupuestosReport, uEditorInformePedidosReport,

  uEditorInformeIVAProveedoresReport, uEditorInformeFacturasProveedorReport, uEditorInformeFacturasProveedorPendientesReport,
  uEditorInformeRecibosProveedorReport, uEditorInformeRecibosProvPendientesReport;

procedure RegisterViews;
begin
  EditorRegistry.RegisterClass(TfEditorInformePresupuestosReport, 'EditorInformePresupuestosReport');
  EditorRegistry.RegisterClass(TfEditorInformePedidosReport, 'EditorInformePedidosReport');
  EditorRegistry.RegisterClass(TfEditorInformeIVAClientesReport, 'EditorInformeIVAClientesReport');
  EditorRegistry.RegisterClass(TfEditorInformeFacturasClienteReport, 'EditorInformeFacturasClienteReport');
  EditorRegistry.RegisterClass(TfEditorInformeFacturasClientePendientesReport, 'EditorInformeFacturasClientePendientesReport');
  EditorRegistry.RegisterClass(TfEditorInformeRecibosClienteReport, 'EditorInformeRecibosClienteReport');
  EditorRegistry.RegisterClass(TfEditorInformeRecibosCliPendientesReport, 'EditorInformeRecibosCliPendientesReport');

  EditorRegistry.RegisterClass(TfEditorInformeIVAProveedoresReport, 'EditorInformeIVAProveedoresReport');
  EditorRegistry.RegisterClass(TfEditorInformeFacturasProveedorReport, 'EditorInformeFacturasProveedorReport');
  EditorRegistry.RegisterClass(TfEditorInformeFacturasProveedorPendientesReport, 'EditorInformeFacturasProveedorPendientesReport');
  EditorRegistry.RegisterClass(TfEditorInformeRecibosProveedorReport, 'EditorInformeRecibosProveedorReport');
  EditorRegistry.RegisterClass(TfEditorInformeRecibosProvPendientesReport, 'EditorInformeRecibosProvPendientesReport');
end;

procedure UnregisterViews;
begin
  EditorRegistry.UnRegisterClass(TfEditorInformePresupuestosReport);
  EditorRegistry.UnRegisterClass(TfEditorInformePedidosReport);  
  EditorRegistry.UnRegisterClass(TfEditorInformeIVAClientesReport);
  EditorRegistry.UnRegisterClass(TfEditorInformeFacturasClienteReport);
  EditorRegistry.UnRegisterClass(TfEditorInformeFacturasClientePendientesReport);
  EditorRegistry.UnRegisterClass(TfEditorInformeRecibosClienteReport);
  EditorRegistry.UnRegisterClass(TfEditorInformeRecibosCliPendientesReport);

  EditorRegistry.UnRegisterClass(TfEditorInformeIVAProveedoresReport);
  EditorRegistry.UnRegisterClass(TfEditorInformeFacturasProveedorReport);
  EditorRegistry.UnRegisterClass(TfEditorInformeFacturasProveedorPendientesReport);
  EditorRegistry.UnRegisterClass(TfEditorInformeRecibosProveedorReport);
  EditorRegistry.UnRegisterClass(TfEditorInformeRecibosProvPendientesReport);
end;

end.
